{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.conception-assistee && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # CAO
    ## Modélisation 3D
    freecad   # modélisation de pièces en 3D
    povray    # Rendu tracé de rayon, utilisé dans freecad

    ## Électricité & Électronique
    fritzing  # schéma de câblages "jolis"
    kicad     # ensemble d'outils de conception électronique
    qucs      # simulateur de circuits électroniques
  ];
}
