{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.pulseaudio {

  # Notes
  # commande pour lister les cartes son : pacmd list-cards

  # Paquets
  environment.systemPackages = with pkgs; [
    paprefs       # préferences pulseaudio
    pavucontrol   # mixer pulseaudio
    pa_applet     # status et contrôle dans le system tray
  ];

  # Pulse Audio
  hardware.pulseaudio = {
    enable = true;
    support32Bit = true;
    daemon.config = { flat-volumes = "no"; };
  };
}
